RESTinio

Public Member Functions | Private Types | List of all members
restinio::router::easy_parser_router::impl::special_exact_fragment_clause_t Class Reference

A special clause type for case when exact_fragment_producer should be used without storing its value. More...

`#include <easy_parser_router.hpp>`

Inheritance diagram for restinio::router::easy_parser_router::impl::special_exact_fragment_clause_t:

## Public Member Functions
| special_exact_fragment_clause_t (std::string value)
| special_exact_fragment_clause_t (string_view_t value)

## Private Types
using | producer_t = ep::impl::exact_fragment_producer_t
using | consumer_t = ep::impl::any_value_skipper_t
using | base_type_t = ep::impl::consume_value_clause_t< producer_t, consumer_t >

## Detailed Description

A special clause type for case when exact_fragment_producer should be used without storing its value.

This type is an equivalent of `exact_p() >> skip()`, but it can be used where a type is required.

Since
  v.0.6.6

Definition at line 268 of file easy_parser_router.hpp.

## Member Typedef Documentation

## ◆ base_type_t

using restinio::router::easy_parser_router::impl::special_exact_fragment_clause_t::base_type_t = ep::impl::consume_value_clause_t< producer_t, consumer_t >
| private

Definition at line 276 of file easy_parser_router.hpp.

## ◆ consumer_t

using restinio::router::easy_parser_router::impl::special_exact_fragment_clause_t::consumer_t = ep::impl::any_value_skipper_t
| private

Definition at line 274 of file easy_parser_router.hpp.

## ◆ producer_t

using restinio::router::easy_parser_router::impl::special_exact_fragment_clause_t::producer_t = ep::impl::exact_fragment_producer_t
| private

Definition at line 273 of file easy_parser_router.hpp.

## Constructor & Destructor Documentation

## ◆ special_exact_fragment_clause_t() [1/2]

restinio::router::easy_parser_router::impl::special_exact_fragment_clause_t::special_exact_fragment_clause_t | ( | std::string | value | ) |
| inline

Definition at line 281 of file easy_parser_router.hpp.

## ◆ special_exact_fragment_clause_t() [2/2]

restinio::router::easy_parser_router::impl::special_exact_fragment_clause_t::special_exact_fragment_clause_t | ( | string_view_t | value | ) |
| inline

Definition at line 285 of file easy_parser_router.hpp.

The documentation for this class was generated from the following file:

- restinio/router/easy_parser_router.hpp